From 6004475ff78ddb3afd8beadcb5330664d50081f5 Mon Sep 17 00:00:00 2001
From: Sam James <sam@gentoo.org>
Date: Thu, 24 Nov 2022 04:38:28 +0000
Subject: [PATCH] configure.ac: fix bashisms
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

configure scripts need to be runnable with a POSIX-compliant /bin/sh.

On many (but not all!) systems, /bin/sh is provided by Bash, so errors
like this aren't spotted. Notably Debian defaults to /bin/sh provided
by dash which doesn't tolerate such bashisms as '=='.

This retains compatibility with bash.

Signed-off-by: Sam James <sam@gentoo.org>
--- a/configure.ac
+++ b/configure.ac
@@ -27,7 +27,7 @@ AC_ARG_WITH([kmod],
                            [Build the kernel module (default: yes)]),
             [BUILDKMOD="$withval";],
             [BUILDKMOD="yes";])
-AM_CONDITIONAL(WITH_KMOD, test "$BUILDKMOD" == "yes")
+AM_CONDITIONAL(WITH_KMOD, test "$BUILDKMOD" = "yes")
 
 dnl Additional arguments
 dnl Kernel build directory or source tree
@@ -76,7 +76,7 @@ if test "x$enable_bashcompl" = "xyes"; then
 	AC_SUBST(bashcompdir)
 fi
 
-if test "$BUILDKMOD" == "yes"
+if test "$BUILDKMOD" = "yes"
 then
 dnl Sigh: check kernel version dependencies
 if test "$KBUILDDIR" != ""
@@ -204,7 +204,7 @@ AC_CHECK_TYPES([union nf_inet_addr],,,[#include <linux/types.h>
 dnl Checks for functions
 AC_CHECK_FUNCS(gethostbyname2)
 
-if test "$BUILDKMOD" == "yes"
+if test "$BUILDKMOD" = "yes"
 then
 dnl Check kernel incompatibilities... Ugly like hell
 
